## krita 5.2.11+dfsg

=== libs/flake/CMakeLists.txt ===
project(kritaflake)

include_directories(
    ${CMAKE_SOURCE_DIR}/libs/flake/commands
    ${CMAKE_SOURCE_DIR}/libs/flake/tools
    ${CMAKE_SOURCE_DIR}/libs/flake/svg
    ${CMAKE_SOURCE_DIR}/libs/flake/text
    ${CMAKE_BINARY_DIR}/libs/flake
)

add_subdirectory(styles)
add_subdirectory(tests)
add_subdirectory(resources/tests)

set(kritaflake_SRCS
    KoGradientHelper.cpp
    KoFlake.cpp
    KoCanvasBase.cpp
    KoResourceManager_p.cpp
    KoDerivedResourceConverter.cpp
    KoActiveCanvasResourceDependency.cpp
    KoResourceUpdateMediator.cpp
    KoCanvasResourceProvider.cpp
    KoDocumentResourceManager.cpp
    KoCanvasObserverBase.cpp
    KoCanvasSupervisor.cpp
    KoDockFactoryBase.cpp
    KoDockRegistry.cpp
    KoInsets.cpp
    KoPathShape.cpp
    KoPathPoint.cpp
    KoPathSegment.cpp
    KoSelection.cpp
    KoSelectedShapesProxy.cpp
    KoSelectedShapesProxySimple.cpp
    KoShape.cpp
    KoShapeAnchor.cpp
    KoShapeControllerBase.cpp
    KoShapeApplicationData.cpp
    KoShapeContainer.cpp
    KoShapeContainerModel.cpp
    KoShapeGroup.cpp
    KoShapeManager.cpp
    KoMarker.cpp
    KoMarkerCollection.cpp
    KoToolBase.cpp
    KoCanvasController.cpp
    KoCanvasControllerWidget.cpp
    KoCanvasControllerWidgetViewport_p.cpp
    KoShapeRegistry.cpp
    KoDeferredShapeFactoryBase.cpp
    KoToolFactoryBase.cpp
    KoPathShapeFactory.cpp
    KoShapeFactoryBase.cpp
    KoShapeUserData.cpp
    KoParameterShape.cpp
    KoPointerEvent.cpp
    KoShapeController.cpp
    KoToolSelection.cpp
    KoShapeLayer.cpp
    KoInputDevice.cpp
    KoToolManager_p.cpp
    KoToolManager.cpp
    KoToolRegistry.cpp
    KoToolProxy.cpp
    KoShapeSavingContext.cpp
    KoShapeLoadingContext.cpp
    KoLoadingShapeUpdater.cpp
    KoPathShapeLoader.cpp
    KoShapeStrokeModel.cpp
    KoShapeStroke.cpp
    KoShapeBackground.cpp
    KoColorBackground.cpp
    KoGradientBackground.cpp
    KoMeshGradientBackground.cpp
    KoHatchBackground.cpp
    KoPatternBackground.cpp
    KoVectorPatternBackground.cpp
    KoShapeFillWrapper.cpp
    KoShapeFillResourceConnector.cpp
    KoShapeConfigWidgetBase.cpp
    KoDrag.cpp
    KoSvgPaste.cpp
    KoSnapGuide.cpp
    KoSnapProxy.cpp
    KoSnapStrategy.cpp
    KoSnapData.cpp
    KoShapeShadow.cpp
    KoSharedLoadingData.cpp
    KoSharedSavingData.cpp
    KoViewConverter.cpp
    KoFilterEffect.cpp
    KoFilterEffectStack.cpp
    KoFilterEffectFactoryBase.cpp
    KoFilterEffectRegistry.cpp
    KoFilterEffectConfigWidgetBase.cpp
    KoFilterEffectRenderContext.cpp
    KoFilterEffectLoadingContext.cpp
    KoTextShapeDataBase.cpp
    KoTosContainer.cpp
    KoTosContainerModel.cpp
    KoClipPath.cpp
    KoClipMask.cpp
    KoClipMaskPainter.cpp
    KoCurveFit.cpp

    commands/KoShapeGroupCommand.cpp
    commands/KoShapeAlignCommand.cpp
    commands/KoShapeBackgroundCommand.cpp
    commands/KoShapeCreateCommand.cpp
    commands/KoShapeDeleteCommand.cpp
    commands/KoShapeDistributeCommand.cpp
    commands/KoShapeLockCommand.cpp
    commands/KoShapeMoveCommand.cpp
    commands/KoShapeResizeCommand.cpp
    commands/KoShapeShearCommand.cpp
    commands/KoShapeSizeCommand.cpp
    commands/KoShapeStrokeCommand.cpp
    commands/KoShapeUngroupCommand.cpp
    commands/KoShapeReorderCommand.cpp
    commands/KoShapeKeepAspectRatioCommand.cpp
    commands/KoPathBaseCommand.cpp
    commands/KoPathPointMoveCommand.cpp
    commands/KoPathControlPointMoveCommand.cpp
    commands/KoPathPointTypeCommand.cpp
    commands/KoPathPointRemoveCommand.cpp
    commands/KoPathPointInsertCommand.cpp
    commands/KoPathSegmentBreakCommand.cpp
    commands/KoPathBreakAtPointCommand.cpp
    commands/KoPathSegmentTypeCommand.cpp
    commands/KoPathCombineCommand.cpp
    commands/KoSubpathRemoveCommand.cpp
    commands/KoSubpathJoinCommand.cpp
    commands/KoParameterHandleMoveCommand.cpp
    commands/KoParameterToPathCommand.cpp
    commands/KoShapeTransformCommand.cpp
    commands/KoPathFillRuleCommand.cpp
    commands/KoShapeShadowCommand.cpp
    commands/KoPathReverseCommand.cpp
    commands/KoShapeRenameCommand.cpp
    commands/KoShapeRunAroundCommand.cpp
    commands/KoPathPointMergeCommand.cpp
    commands/KoShapeTransparencyCommand.cpp
    commands/KoShapeClipCommand.cpp
    commands/KoShapeUnclipCommand.cpp
    commands/KoPathShapeMarkerCommand.cpp
    commands/KoMultiPathPointMergeCommand.cpp
    commands/KoMultiPathPointJoinCommand.cpp
    commands/KoKeepShapesSelectedCommand.cpp
    commands/KoPathMergeUtils.cpp
    commands/KoAddRemoveShapeCommands.cpp

    html/HtmlSavingContext.cpp
    html/HtmlWriter.cpp

    tools/KoPathToolFactory.cpp
    tools/KoPathTool.cpp
    tools/KoPathToolSelection.cpp
    tools/KoPathToolHandle.cpp
    tools/PathToolOptionWidget.cpp
    tools/KoPathPointRubberSelectStrategy.cpp
    tools/KoPathPointMoveStrategy.cpp
    tools/KoPathControlPointMoveStrategy.cpp
    tools/KoParameterChangeStrategy.cpp
    tools/KoZoomTool.cpp
    tools/KoZoomToolFactory.cpp
    tools/KoZoomToolWidget.cpp
    tools/KoZoomStrategy.cpp
    tools/KoInteractionTool.cpp
    tools/KoInteractionStrategy.cpp
    tools/KoInteractionStrategyFactory.cpp
    tools/KoShapeRubberSelectStrategy.cpp
    tools/KoPathSegmentChangeStrategy.cpp

    svg/KoShapePainter.cpp
    svg/SvgUtil.cpp
    svg/SvgGraphicContext.cpp
    svg/SvgSavingContext.cpp
    svg/SvgWriter.cpp
    svg/SvgStyleWriter.cpp
    svg/SvgShape.cpp
    svg/SvgParser.cpp
    svg/SvgStyleParser.cpp
    svg/SvgGradientHelper.cpp
    svg/SvgFilterHelper.cpp
    svg/SvgCssHelper.cpp
    svg/SvgClipPathHelper.cpp
    svg/SvgLoadingContext.cpp
    svg/parsers/SvgTransformParser.cpp
    svg/SvgMeshGradient.cpp
    svg/SvgMeshPatch.cpp
    svg/SvgMeshArray.cpp

    text/KoSvgText.cpp
    text/KoSvgTextProperties.cpp
    text/KoSvgTextChunkShape.cpp
    text/KoSvgTextShape.cpp
    text/KoSvgTextShape_p_glyphs.cpp
    text/KoSvgTextShape_p_layout.cpp
    text/KoSvgTextShape_p_output.cpp
    text/KoSvgTextShapeLayoutFunc_inShape.cpp
    text/KoSvgTextShapeLayoutFunc_lines.cpp
    text/KoSvgTextShapeMarkupConverter.cpp
    text/KoFontRegistry.cpp
    text/KoCssTextUtils.cpp
    text/KoPolygonUtils.cpp

    resources/KoSvgSymbolCollectionResource.cpp
    resources/KoGamutMask.cpp

    FlakeDebug.cpp
    tests/MockShapes.cpp
)

if (KSeExpr_FOUND)
    set(kritaflake_SRCS ${kritaflake_SRCS}
        resources/KisSeExprScript.cpp
    )
endif()

ki18n_wrap_ui(kritaflake_SRCS
    tools/PathToolOptionWidgetBase.ui
    tools/KoZoomToolWidget.ui
)

kis_add_library(kritaflake SHARED ${kritaflake_SRCS})
generate_export_header(kritaflake BASE_NAME kritaflake)

target_include_directories(kritaflake
    PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/commands>
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/tools>
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/svg>
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/text>
)

set_target_properties(libraqm PROPERTIES POSITION_INDEPENDENT_CODE ON)

target_link_libraries(kritaflake
    PUBLIC
        kritapigment
        kritawidgetutils
        kritacommand
        KF5::WidgetsAddons
        Qt5::Svg
        KF5::CoreAddons
        KF5::ConfigCore
        KF5::I18n
        Qt5::Gui
        Qt5::Xml
        Boost::boost
        Freetype::Freetype
        HarfBuzz::HarfBuzz
    PRIVATE
        Raqm::Raqm
        Fontconfig::Fontconfig
        libunibreak::libunibreak
)

set_target_properties(kritaflake PROPERTIES
    VERSION ${GENERIC_KRITA_LIB_VERSION} SOVERSION ${GENERIC_KRITA_LIB_SOVERSION}
)

install(TARGETS kritaflake  ${INSTALL_TARGETS_DEFAULT_ARGS})

=== libs/widgets/CMakeLists.txt ===
add_subdirectory( tests )

include_directories(${CMAKE_CURRENT_BINARY_DIR})

set(kritawidgets_LIB_SRCS
    KoVBox.cpp
    KoDialog.cpp
    KoZoomWidget.cpp
    KoAspectButton.cpp
    KoSliderCombo.cpp
    KoColorPopupButton.cpp
    KoConfigAuthorPage.cpp
    KoUnitDoubleSpinBox.cpp
    KoZoomAction.cpp
    KoZoomController.cpp
    KoZoomInput.cpp
    KoZoomHandler.cpp
    KoZoomMode.cpp
    KoColorPatch.cpp
    KoColorPopupAction.cpp
    KoColorSetWidget.cpp
    KoColorSlider.cpp
    KisHsvColorSlider.cpp
    KoTriangleColorSelector.cpp
    KoResourcePopupAction.cpp
    KoRuler.cpp
    KoResourceServerProvider.cpp
    KoLineStyleSelector.cpp
    KoLineStyleItemDelegate.cpp
    KoLineStyleModel.cpp

    KoDockWidgetTitleBar.cpp
    KoDockWidgetTitleBarButton.cpp
    
    KoTitledTabWidget.cpp

    KoToolDocker.cpp
    
    KoShadowConfigWidget.cpp
    KoMarkerSelector.cpp
    KoMarkerModel.cpp
    KoMarkerItemDelegate.cpp

    WidgetsDebug.cpp

    kis_file_name_requester.cpp

    KisColorSelectorInterface.cpp
    KoAnchorSelectionWidget.cpp

    KisLevelsSlider.cpp

    kis_color_input.cpp

    # classes used by internal color selector
    kis_spinbox_color_selector.cpp
    KisSpinboxHSXSelector.cpp
    KisVisualColorModel.cpp
    KisVisualColorSelector.cpp
    KisVisualColorSelectorShape.cpp
    KisVisualDiamondSelectorShape.cpp
    KisVisualEllipticalSelectorShape.cpp
    KisVisualRectangleSelectorShape.cpp
    KisVisualTriangleSelectorShape.cpp
    KisScreenColorSamplerBase.cpp
    KisDlgInternalColorSelector.cpp

    KisPaletteModel.cpp
    KisPaletteDelegate.cpp
    kis_palette_view.cpp
    KisPaletteChooser.cpp
    KisPaletteComboBox.cpp

    kis_color_button.cpp

    KisAngleGauge.cpp
    KisAngleSelector.cpp

    KisTagSelectionWidget.cpp

    kis_warning_block.cpp
    KisWidgetConnectionUtils.cpp
    kis_spacing_selection_widget.cpp
    kis_stacked_widget.cpp

    KisStretchedIconButton.cpp
)

ki18n_wrap_ui( kritawidgets_LIB_SRCS
    KoConfigAuthorPage.ui
    wdg_file_name_requester.ui
    KoShadowConfigWidget.ui
    WdgDlgInternalColorSelector.ui
    WdgPaletteListWidget.ui
)

kis_add_library(kritawidgets SHARED ${kritawidgets_LIB_SRCS})
generate_export_header(kritawidgets BASE_NAME kritawidgets)
target_link_libraries(kritawidgets
    
    kritaglobal
    kritaflake
    kritapigment
    kritawidgetutils
    kritaresources
    kritaresourcewidgets
    Qt5::PrintSupport
    KF5::CoreAddons
    KF5::ConfigGui
    KF5::GuiAddons
    KF5::WidgetsAddons
    KF5::ConfigCore
    KF5::Completion
)

if(X11_FOUND)
    target_link_libraries(kritawidgets Qt5::X11Extras ${X11_LIBRARIES})
endif()

set_target_properties(kritawidgets PROPERTIES
    VERSION ${GENERIC_KRITA_LIB_VERSION} SOVERSION ${GENERIC_KRITA_LIB_SOVERSION}
)

install(TARGETS kritawidgets  ${INSTALL_TARGETS_DEFAULT_ARGS})

=== plugins/dockers/overview/CMakeLists.txt ===
set(KRITA_OVERVIEWDOCKER_SOURCES overviewdocker.cpp
    overviewdocker_dock.cpp
    overviewwidget.cc)
kis_add_library(kritaoverviewdocker MODULE ${KRITA_OVERVIEWDOCKER_SOURCES})
target_link_libraries(kritaoverviewdocker kritaui)
install(TARGETS kritaoverviewdocker  DESTINATION ${KRITA_PLUGIN_INSTALL_DIR})

=== plugins/extensions/samplescreencolor/CMakeLists.txt ===
kis_add_library(kritasamplescreencolor MODULE KisSampleScreenColor.cpp)
target_link_libraries(kritasamplescreencolor kritaui)
install(TARGETS kritasamplescreencolor  DESTINATION ${KRITA_PLUGIN_INSTALL_DIR})
install( FILES  samplescreencolor.xmlgui  DESTINATION ${DATA_INSTALL_DIR}/kritaplugins)

=== plugins/impex/jpeg/CMakeLists.txt ===
add_subdirectory(tests)

set(ICCJPEG_SOURCE_DIR "${CMAKE_CURRENT_SOURCE_DIR}/3rdparty/lcms")

include_directories(
    ${ICCJPEG_SOURCE_DIR}
)

include_directories(SYSTEM
    ${LCMS2_INCLUDE_DIR}
)

set(libkritaconverter_LIB_SRCS
    kis_jpeg_converter.cc
    kis_jpeg_source.cpp
    kis_jpeg_destination.cpp
    ${ICCJPEG_SOURCE_DIR}/iccjpeg.c
    )

set(kritajpegimport_SOURCES
    kis_jpeg_import.cc
    ${libkritaconverter_LIB_SRCS}
    )

kis_add_library(kritajpegimport MODULE ${kritajpegimport_SOURCES})

target_link_libraries(kritajpegimport kritaui  ${JPEG_LIBRARIES} ${LCMS2_LIBRARIES} LibExiv2::LibExiv2 )

install(TARGETS kritajpegimport  DESTINATION ${KRITA_PLUGIN_INSTALL_DIR})

set(kritajpegexport_SOURCES
    kis_jpeg_export.cc
    ${libkritaconverter_LIB_SRCS}
    )

ki18n_wrap_ui(kritajpegexport_SOURCES kis_wdg_options_jpeg.ui )

kis_add_library(kritajpegexport MODULE ${kritajpegexport_SOURCES})

target_link_libraries(kritajpegexport kritaui kritaimpex ${JPEG_LIBRARIES} ${LCMS2_LIBRARIES} LibExiv2::LibExiv2 )

if (MSVC AND "${CMAKE_CXX_FLAGS}" MATCHES "-EHsc") 
    message(WARNING "The JPEG error catcher requires crossing the C ABI on MSVC. Exceptions need to be patched in.")
    # It needs to be done at the file level to override OpenEXR sneaking /EHsc.
    # See https://github.com/AcademySoftwareFoundation/openexr/issues/1326
    set_source_files_properties(kis_jpeg_converter.cc PROPERTIES COMPILE_OPTIONS "/EHsc-")
endif()

install(TARGETS kritajpegexport  DESTINATION ${KRITA_PLUGIN_INSTALL_DIR})
install( PROGRAMS  krita_jpeg.desktop  DESTINATION ${XDG_APPS_INSTALL_DIR})

=== debian/changelog ===
krita (1:5.2.11+dfsg-0.1~mx23+1) mx; urgency=medium

  * New upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 20 Jul 2025 11:02:31 -0700

=== debian/control ===
Source: krita
Section: kde
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>
Build-Depends: cmake (>= 3.16.0~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.22.0),
               gettext,
               libboost-system-dev (>= 1.65~),
               libeigen3-dev (>= 3.3.0~),
               libexiv2-dev (>= 0.16~),
               libfftw3-dev,
               libfontconfig-dev (>= 2.13.1~),
               libfreetype-dev (>= 2.11.0~),
               libfribidi-dev,
               libgif-dev,
               libgsl-dev,
               libharfbuzz-dev (>= 4.0.0~),
               libheif-dev (>= 1.11.0~),
               libimmer-dev,
               libjpeg-dev,
               libjxl-dev (>= 0.7.0-1~) [linux-any],
               libkf5completion-dev (>= 5.44.0),
               libkf5config-dev (>= 5.44.0),
               libkf5coreaddons-dev (>= 5.44.0),
               libkf5crash-dev (>= 5.44.0),
               libkf5guiaddons-dev (>= 5.44.0),
               libkf5i18n-dev (>= 5.44.0),
               libkf5itemviews-dev (>= 5.44.0),
               libkf5kdcraw-dev,
               libkf5widgetsaddons-dev (>= 5.44.0),
               libkf5windowsystem-dev (>= 5.44.0),
               libkseexpr-dev (>= 4.0.0.0~),
               liblager-dev,
               liblcms2-dev (>= 2.4~),
               libmlt++-dev (>= 7~),
               libmlt-dev (>= 7~),
               libmypaint-dev (>= 1.4.0~),
#               libopencolorio-dev (>= 1.1.1~),
               libopenexr-dev,
               libopenjp2-7-dev (>= 2.3.0~),
               libpng-dev,
               libpoppler-qt5-dev,
               libqt5opengl5-dev,
               libqt5svg5-dev (>= 5.12.0~),
               libqt5x11extras5-dev (>= 5.12.0~),
               libquazip5-dev (>= 0.6~),
               libsdl2-dev,
               libtiff-dev,
               libturbojpeg0-dev (>= 1:2.1.3~),
               libunibreak-dev (>= 5.0~),
               libwebp-dev (>= 1.2.0~),
               libxcb-util-dev,
               libxcb1-dev,
               libxi-dev,
               libxsimd-dev (>= 8.1.0~) [any-amd64 any-arm64],
               libzug-dev,
               pkg-kde-tools (>= 0.15.16),
               pkgconf,
               pyqt5-dev,
               python3-dev,
               python3-pyqt5,
               python3-sipbuild,
               qtbase5-dev (>= 5.12.0~),
               qtbase5-private-dev (>= 5.12.0~),
               qtdeclarative5-dev (>= 5.12.0~),
               sip-tools,
               xtl-dev [any-amd64 any-arm64],
               zlib1g-dev
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://krita.org/
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/krita.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/krita

Package: krita
Architecture: any
Section: graphics
Depends: krita-data (>= ${source:Version}),
         libqt5sql5-sqlite,
         ${misc:Depends},
         ${shlibs:Depends},
         python3-pyqt5, qml-module-qtmultimedia
Suggests: colord, ffmpeg, krita-l10n (>= ${source:Version})
Description: pixel-based image manipulation program
 Krita is a creative application for raster images. Whether you want to create
 from scratch or work with existing images, Krita is for you. You can work with
 photos or scanned images, or start with a blank slate. Krita supports most
 graphics tablets out of the box.
 .
 Krita is different from other graphics design programs in that it has
 pluggable brush engines, some supporting brush resources like Gimp brush files,
 others offering sophisticated simulation of real brushes, and others again
 offering color mixing and image deformations. Moreover, Krita has full
 support for graphics tablets, including such features as pressure, tilt and
 rate, making it a great choice for artists. There are easy to use tools for
 drawing lines, ellipses and rectangles, and the freehand tool is supported by
 pluggable "drawing assistants" that help you draw shapes that still have a
 freehand feeling to them.

Package: krita-data
Architecture: all
Section: graphics
Depends: ${misc:Depends}
Description: data files for Krita painting program
 This package contains architecture-independent data files for Krita.
 .
 See the krita package for further information.

Package: krita-l10n
Architecture: all
Section: localization
Depends: ${misc:Depends}
Description: translations for Krita painting program
 This package contains the translations for Krita, the painting program.
 .
 See the krita package for further information.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with kf5

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DFOUNDATION_BUILD=OFF -DBUILD_TESTING=OFF -DENABLE_UPDATERS=OFF -DKRITA_ENABLE_PCH=OFF

execute_after_dh_auto_install:
	# remove symlinks of private libraries
	find debian/tmp -name '*.so' -type l -print -delete
	# remove development headers
	rm -rfv debian/tmp/usr/include/

# No dbgsym packages:
override_dh_strip:
	@echo "NO--THANKS ANYWAY--but not building dbgsym packages for MX Linux"
	dh_strip --no-automatic-dbgsym

.PHONY: override_dh_auto_test

## krita 5.2.13

=== debian/changelog ===
krita (1:5.2.13-0zneon+24.04+noble+release+build15) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 03 Dec 2025 03:37:44 +0000

krita (1:5.2.13-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 24 Sep 2025 12:56:09 +0000

krita (1:5.2.11-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Jul 2025 12:56:30 +0000

krita (1:5.2.10-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Jul 2025 12:56:10 +0000

krita (1:5.2.9-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 31 Jan 2025 12:56:10 +0000

krita (1:5.2.6-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 02 Oct 2024 12:56:10 +0000

krita (1:5.2.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 21 Sep 2024 12:56:12 +0000

krita (1:5.2.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 26 Jun 2024 12:56:11 +0000

krita (1:5.2.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Jan 2024 05:50:51 +0000

krita (1:5.1.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 06 Jan 2023 12:56:06 +0000

krita (1:5.1.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Dec 2022 12:56:07 +0000

krita (1:5.1.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 07 Nov 2022 12:56:07 +0000

krita (1:5.1.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 04 Nov 2022 12:56:06 +0000

krita (1:5.1.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Sep 2022 16:41:55 +0000

krita (1:5.1.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 18 Aug 2022 13:44:01 +0000

krita (1:5.0.8-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 29 Jun 2022 06:42:51 +0000

krita (1:5.0.6-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 28 Apr 2022 12:56:06 +0000

krita (1:5.0.5-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 13 Apr 2022 12:56:05 +0000

krita (1:5.0.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 06 Jan 2022 12:56:06 +0000

krita (1:5.0.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 23 Dec 2021 12:56:05 +0000

krita (1:4.4.8-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 25 Aug 2021 12:56:04 +0000

krita (1:4.4.7-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 06 Aug 2021 12:56:12 +0000

krita (1:4.4.5-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 19 Jan 2021 12:56:05 +0000

krita (1:4.4.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 29 Oct 2020 13:02:04 +0000

krita (1:4.4.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 13 Oct 2020 12:47:59 +0000

krita (1:4.3.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 24 Mar 2020 12:56:07 +0000

krita (1:4.2.8.2-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 27 Nov 2019 12:56:05 +0000

krita (1:4.2.8.1-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 26 Nov 2019 12:56:10 +0000

krita (1:4.2.7.1-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 02 Oct 2019 12:56:12 +0000

krita (1:4.2.7-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 01 Oct 2019 12:56:07 +0000

krita (1:4.2.6-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 Sep 2019 12:56:06 +0000

krita (1:4.2.5-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 02 Aug 2019 12:56:06 +0000

krita (1:4.2.4-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 30 Jul 2019 12:56:09 +0000

krita (1:4.2.3-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 12 Jul 2019 12:56:06 +0000

krita (1:4.2.2-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 24 Jun 2019 12:56:06 +0000

krita (1:4.2.1-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Mar 2019 08:25:08 +0000

krita (1:4.1.7.101-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 16 Dec 2018 12:56:04 +0000

krita (1:4.1.7-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Dec 2018 12:57:42 +0000

krita (1:4.1.5-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Oct 2018 12:16:03 +0000

krita (1:4.1.4-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Oct 2018 08:53:08 +0000

krita (1:4.1.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 27 Sep 2018 14:21:49 +0000

krita (1:4.1.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 18 Jul 2018 12:18:59 +0000

krita (1:4.1.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 26 Jun 2018 09:59:43 +0000

krita (1:4.0.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 13 May 2018 12:00:35 +0000

krita (1:4.0.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 08 May 2018 08:00:34 +0000

krita (1:4.0.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Apr 2018 10:49:10 +0000

krita (1:4.0.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 20 Mar 2018 10:35:05 +0000

krita (1:3.3.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 13 Jan 2018 11:40:52 +0000



## krita 5.2.13%2Bdfsg

=== libs/basicflakes/CMakeLists.txt ===
include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}/tools
    ${CMAKE_CURRENT_SOURCE_DIR}/plugin
)

set(kritabasicflakes_LIB_SRCS
    tools/KoCreatePathTool.cpp
    tools/KoPencilTool.cpp
)

ki18n_wrap_ui( kritabasicflakes_LIB_SRCS
)


kis_add_library(kritabasicflakes SHARED ${kritabasicflakes_LIB_SRCS})
generate_export_header(kritabasicflakes)

target_include_directories(kritabasicflakes
    PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/tools>
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/plugin>
)

target_link_libraries(kritabasicflakes 
    PUBLIC
        kritaui
        kritawidgets
        kritaflake 
        kritapigment
)

set_target_properties(kritabasicflakes PROPERTIES
    VERSION ${GENERIC_KRITA_LIB_VERSION} SOVERSION ${GENERIC_KRITA_LIB_SOVERSION}
)

install(TARGETS kritabasicflakes  ${INSTALL_TARGETS_DEFAULT_ARGS})

=== libs/multiarch/CMakeLists.txt ===
set(kritamultiarch_SRCS
    KisSupportedArchitectures.cpp
    KoMultiArchBuildSupport.cpp
)

kis_add_library(kritamultiarch SHARED ${kritamultiarch_SRCS})

generate_export_header(kritamultiarch)

if (HAVE_XSIMD)
    target_link_libraries(kritamultiarch PUBLIC xsimd)
endif()

target_link_libraries(kritamultiarch
    PUBLIC
        Qt5::Core
    PRIVATE
        KF5::ConfigCore
        kritaglobal
)

set_target_properties(kritamultiarch PROPERTIES
    VERSION ${GENERIC_KRITA_LIB_VERSION} SOVERSION ${GENERIC_KRITA_LIB_SOVERSION}
)

target_include_directories(kritamultiarch
    INTERFACE
        $<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}/>
        $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/>
)

install(TARGETS kritamultiarch ${INSTALL_TARGETS_DEFAULT_ARGS})

=== plugins/color/CMakeLists.txt ===
add_subdirectory( lcms2engine )
add_subdirectory( colorspaceextensions )

=== libs/libkis/tests/CMakeLists.txt ===

include(KritaAddBrokenUnitTest)

kis_add_tests(
    #TestKrita.cpp
    TestChannel.cpp
    TestDocument.cpp
    TestNode.cpp
    TestVectorLayer.cpp
    TestShape.cpp
    TestFilter.cpp
    TestManagedColor.cpp
    TestNotifier.cpp
    NAME_PREFIX "libs-libkis-"
    LINK_LIBRARIES kritalibkis kritatestsdk
    )

=== libs/resources/tests/CMakeLists.txt ===
include(KritaAddBrokenUnitTest)

kis_add_tests(
    TestResourceCacheDb.cpp
    TestResourceLoaderRegistry.cpp
    TestResourceLocator.cpp
    TestResourceStorage.cpp
    TestFolderStorage.cpp
    TestMemoryStorage.cpp
    TestTag.cpp
    TestBundleStorage.cpp
    TestResourceModel.cpp
    TestTagFilterResourceProxyModel.cpp
    TestTagModel.cpp
    TestResourceTypeModel.cpp
    TestStorageModel.cpp
    TestResourceSearchBoxFilter.cpp
    TestStorageFilterProxyModel.cpp
    TestTagResourceModel.cpp
    NAME_PREFIX "libs-kritaresources-"
    LINK_LIBRARIES kritaglobal kritapigment kritaplugin kritaresources kritawidgets kritaversion KF5::ConfigCore Qt5::Sql kritatestsdk
    )

=== plugins/dockers/histogram/CMakeLists.txt ===
set(KRITA_HISTOGRAMDOCKER_SOURCES
    histogramdocker.cpp
    histogramdocker_dock.cpp
    histogramdockerwidget.cpp
    HistogramComputationStrokeStrategy.cpp)

kis_add_library(kritahistogramdocker MODULE ${KRITA_HISTOGRAMDOCKER_SOURCES})
target_link_libraries(kritahistogramdocker kritaui)
install(TARGETS kritahistogramdocker  DESTINATION ${KRITA_PLUGIN_INSTALL_DIR})

=== plugins/dockers/palettedocker/CMakeLists.txt ===
set(KRITA_PALETTEDOCKER_SOURCES
    palettedocker.cpp palettedocker_dock.cpp
    )

ki18n_wrap_ui(KRITA_PALETTEDOCKER_SOURCES
    wdgpalettedock.ui
)

kis_add_library(kritapalettedocker MODULE ${KRITA_PALETTEDOCKER_SOURCES})
target_link_libraries(kritapalettedocker kritaui)
install(TARGETS kritapalettedocker  DESTINATION ${KRITA_PLUGIN_INSTALL_DIR})

=== plugins/extensions/waveletdecompose/CMakeLists.txt ===
set(kritawaveletdecompose_SOURCES
    waveletdecompose.cpp
    dlg_waveletdecompose.cpp
    kis_wavelet_kernel.cpp
    )

ki18n_wrap_ui(kritawaveletdecompose_SOURCES
    wdg_waveletdecompose.ui
    )

kis_add_library(kritawaveletdecompose MODULE ${kritawaveletdecompose_SOURCES})
target_link_libraries(kritawaveletdecompose kritaui)
install(TARGETS kritawaveletdecompose  DESTINATION ${KRITA_PLUGIN_INSTALL_DIR})
install( FILES  waveletdecompose.xmlgui  DESTINATION ${DATA_INSTALL_DIR}/kritaplugins)

=== plugins/filters/convertheightnormalmap/CMakeLists.txt ===
set(kritaconvertheighttonormalmap_SOURCES
    kis_convert_height_to_normal_map_filter.cpp
    kis_wdg_convert_height_to_normal_map.cpp
)

ki18n_wrap_ui(kritaconvertheighttonormalmap_SOURCES
    wdg_convert_height_to_normal_map.ui
    )
kis_add_library(kritaconvertheighttonormalmap MODULE ${kritaconvertheighttonormalmap_SOURCES})
target_link_libraries(kritaconvertheighttonormalmap kritaui)
install(TARGETS kritaconvertheighttonormalmap  DESTINATION ${KRITA_PLUGIN_INSTALL_DIR})
install( FILES
    convertheightnormalmap.action
DESTINATION  ${DATA_INSTALL_DIR}/krita/actions)

=== plugins/filters/randompickfilter/CMakeLists.txt ===
set(kritarandompickfilter_SOURCES
    randompickfilter.cpp
    kis_wdg_random_pick.cpp
    )


ki18n_wrap_ui(kritarandompickfilter_SOURCES
    wdgrandompickoptions.ui
    )

kis_add_library(kritarandompickfilter MODULE ${kritarandompickfilter_SOURCES})

target_link_libraries(kritarandompickfilter kritaui)

install(TARGETS kritarandompickfilter  DESTINATION ${KRITA_PLUGIN_INSTALL_DIR})

=== plugins/generators/solid/CMakeLists.txt ===
set(kritacolorgenerator_SOURCES
    colorgenerator.cpp
    kis_wdg_color.cpp
    )


ki18n_wrap_ui(kritacolorgenerator_SOURCES
    wdgcoloroptions.ui
    )

kis_add_library(kritacolorgenerator MODULE ${kritacolorgenerator_SOURCES})

target_link_libraries(kritacolorgenerator kritaui)

install(TARGETS kritacolorgenerator  DESTINATION ${KRITA_PLUGIN_INSTALL_DIR})

=== plugins/impex/krz/CMakeLists.txt ===
set(kritakrzexport_SOURCES
    krz_export.cpp
)

kis_add_library(kritakrzexport MODULE ${kritakrzexport_SOURCES})

target_link_libraries(kritakrzexport kritaui kritalibkra kritaimpex)

install(TARGETS kritakrzexport  DESTINATION ${KRITA_PLUGIN_INSTALL_DIR})

install( PROGRAMS  krita_krz.desktop  DESTINATION ${XDG_APPS_INSTALL_DIR})

=== debian/changelog ===
krita (1:5.2.13+dfsg-1~mx25+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 25 Sep 2025 07:49:02 -0700

krita (1:5.2.13+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Wed, 24 Sep 2025 18:12:28 +0200

krita (1:5.2.11+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.2, no changes required.

 -- Pino Toscano <pino@debian.org>  Mon, 11 Aug 2025 06:42:50 +0200

## krita 5.2.13%2bdfsg

=== plugins/extensions/CMakeLists.txt ===
add_subdirectory( imagesplit )
add_subdirectory( clonesarray )
add_subdirectory( colorrange )
add_subdirectory( colorspaceconversion )
add_subdirectory( metadataeditor )
add_subdirectory( modify_selection )
add_subdirectory( offsetimage )
add_subdirectory( rotateimage )
add_subdirectory( separate_channels )
add_subdirectory( shearimage )
add_subdirectory( layergroupswitcher )
add_subdirectory( resourcemanager )
add_subdirectory( layersplit )
add_subdirectory( waveletdecompose )
add_subdirectory( pykrita )
add_subdirectory( qmic )
add_subdirectory( buginfo )
add_subdirectory( samplescreencolor )
add_subdirectory( dbexplorer )

if (ANDROID)
    add_subdirectory( spensettings )
endif()

=== plugins/paintops/deform/CMakeLists.txt ===
set(kritadeformpaintop_SOURCES
    deform_brush.cpp
    deform_paintop_plugin.cpp
    kis_deform_paintop.cpp
    kis_deform_paintop_settings.cpp
    kis_deform_paintop_settings_widget.cpp
    KisBrushSizeOptionData.cpp
    KisBrushSizeOptionModel.cpp
    KisBrushSizeOptionWidget.cpp
    KisDeformOptionData.cpp
    KisDeformOptionModel.cpp
    KisDeformOptionWidget.cpp
    )

ki18n_wrap_ui(kritadeformpaintop_SOURCES wdgdeformoptions.ui )

kis_add_library(kritadeformpaintop MODULE ${kritadeformpaintop_SOURCES})

target_link_libraries(kritadeformpaintop kritaui kritalibpaintop)

install(TARGETS kritadeformpaintop  DESTINATION ${KRITA_PLUGIN_INSTALL_DIR})
install( FILES  krita-deform.png DESTINATION ${DATA_INSTALL_DIR}/krita/images )

=== plugins/tools/tool_transform2/CMakeLists.txt ===
add_subdirectory(tests)

set(kritatooltransform_static_SRCS
    tool_transform_args.cc
    kis_transform_mask_adapter.cpp
    KisAnimatedTransformMaskParamsHolder.cpp
    kis_tool_transform.cc
    kis_tool_transform_config_widget.cpp
    kis_transform_strategy_base.cpp
    kis_warp_transform_strategy.cpp
    kis_cage_transform_strategy.cpp
    kis_simplified_action_policy_strategy.cpp
    kis_liquify_transform_strategy.cpp
    kis_liquify_paint_helper.cpp
    kis_liquify_paintop.cpp
    kis_liquify_properties.cpp
    kis_mesh_transform_strategy.cpp
    kis_free_transform_strategy.cpp
    kis_free_transform_strategy_gsl_helpers.cpp
    kis_perspective_transform_strategy.cpp
    kis_transform_utils.cpp
    strokes/transform_stroke_strategy.cpp
    strokes/inplace_transform_stroke_strategy.cpp
    )

ki18n_wrap_ui(kritatooltransform_static_SRCS wdg_tool_transform.ui)

kis_add_library(kritatooltransform_static STATIC ${kritatooltransform_static_SRCS})
generate_export_header(kritatooltransform_static BASE_NAME kritatooltransform)

set(kritatooltransform_SOURCES
  tool_transform.cc
)

qt5_add_resources(kritatooltransform_SOURCES tool_transform.qrc)
kis_add_library(kritatooltransform MODULE ${kritatooltransform_SOURCES})

target_link_libraries(kritatooltransform_static
  PUBLIC
    kritaui
)

if (NOT GSL_FOUND)
  message (WARNING "KRITA WARNING! No GNU Scientific Library was found! Krita's Transform Tool will not be able to scale the image with handles. Please install GSL library.")
else ()
  target_link_libraries(kritatooltransform_static
    PUBLIC
      GSL::gsl
  )
endif ()

target_link_libraries(kritatooltransform PRIVATE kritatooltransform_static)

install(TARGETS kritatooltransform  DESTINATION ${KRITA_PLUGIN_INSTALL_DIR})


install( FILES
    KisToolTransform.action
DESTINATION  ${DATA_INSTALL_DIR}/krita/actions)

=== krita/data/templates/dslr/CMakeLists.txt ===
install( FILES 
light_template_dslr.png
dark_template_dslr.png
DESTINATION
${DATA_INSTALL_DIR}/krita/pics )

install( FILES  
    Canon_550D_5184x3456.kra
    Canon_5Dmk3_5760x3840.kra
    Nikon_D3000_3872x2592.kra
    Nikon_D5000_4288x2848.kra
    Nikon_D7000_4928x3264.kra
DESTINATION ${DATA_INSTALL_DIR}/krita/templates/dslr/.source)

install( FILES  
    .directory
    Canon_550D_5184x3456.desktop
    Canon_5Dmk3_5760x3840.desktop
    Nikon_D3000_3872x2592.desktop
    Nikon_D5000_4288x2848.desktop
    Nikon_D7000_4928x3264.desktop
DESTINATION ${DATA_INSTALL_DIR}/krita/templates/dslr)
